Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class MethodMetaProperty.GetMethodMetaProperty

- org.codehaus.groovy.runtime.metaclass.MethodMetaProperty.GetMethodMetaProperty

-     public static class MethodMetaProperty.GetMethodMetaProperty
      extends MethodMetaProperty

  Wrapper for a method realizing the property get. WARNING: This class is for internal use only, don't use it for your APIs

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaProperty` | `PROPERTY_SET_PREFIX, name, type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GetMethodMetaProperty(String name, MetaMethod theMethod)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `getProperty(Object object)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MethodMetaProperty` | `getMetaMethod, getProperty, setProperty`
    `class MetaProperty` | `getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty`

- - ### Constructor Detail

    - #### public GetMethodMetaProperty(String name, MetaMethod theMethod)

  - ### Method Detail

    - #### @Override
      public Object getProperty(Object object)